CVE-2018-7711

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2018-7711
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2018-7711.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2018-7711
Aliases
Related
Published
2018-03-05T22:29:00Z
Modified
2024-05-30T01:54:58.216259Z
Severity
  • 8.1 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

HTTPRedirect.php in the saml2 library in SimpleSAMLphp before 1.15.4 has an incorrect check of return values in the signature validation utilities, allowing an attacker to get invalid signatures accepted as valid by forcing an error during validation. This occurs because of a dependency on PHP functionality that interprets a -1 error code as a true boolean value.

References

Affected packages

Git / github.com/simplesamlphp/saml2

Affected ranges

Type
GIT
Repo
https://github.com/simplesamlphp/saml2
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

1.*

1.5.3

v0.*

v0.1.0
v0.1.0-alpha
v0.3.0
v0.4.0
v0.4.1
v0.4.2
v0.5.0
v0.6.0
v0.6.1
v0.6.2
v0.6.3
v0.6.4
v0.7.0
v0.7.1
v0.8.0
v0.8.1

v1.*

v1.0.0
v1.1.0
v1.2.0
v1.3.0
v1.3.1
v1.3.2
v1.4.0
v1.5.0
v1.5.1
v1.5.2
v1.5.3
v1.5.4
v1.6.0
v1.6.1
v1.7.0
v1.7.1

v2.*

v2.0.0

v3.*

v3.0.0
v3.0.1
v3.0.2
v3.0.3
v3.1.0
v3.1.1
v3.1.2
v3.1.3